/***************************************************************************
                          setup.cpp  -  description
                             -------------------
    begin                : mar jul 29 2003
    copyright            : (C) 2003 by Jaime Robles
    email                : jaime@kde.org
 ***************************************************************************/

/******************************************************************************
 *                                                                            *
 *   This program is free software; you can redistribute it and/or modify     *
*  it under the terms of the GNU General Public License as published by     *
*  the Free Software Foundation; either version 2 of the License, or        *
*  (at your option) any later version.                                      *
 *                                                                            *
*  This program is distributed in the hope that it will be useful,          *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            *
*  GNU General Public License for more details.                             *
 *                                                                            *
*  You should have received a copy of the GNU General Public License        *
*  along with this program; if not, write to the Free Software              *
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA*
 *****************************************************************************/

#include <klocale.h>
#include "setup.h"



Setup::Setup(QWidget *parent, const char *name) : setupui(parent, name)
{
  klogDir = QDir::homeDirPath()+"/.klog";  // We create the ~/.klog for the logs
  if (!QDir::setCurrent ( klogDir )){
    QDir d1(klogDir);
    dirExist = d1.mkdir(klogDir, true);
  }
  dirExist = QDir::setCurrent ( klogDir ) ;
  readConf();
};

Setup::~Setup()
{

}


void Setup::slotOkBtnClicked(){
  writeConf();
  accept();  
};


void Setup::readConf(){
  QFile file( "klogrc" );
  if ( file.open( IO_ReadOnly ) ) {
    QTextStream stream( &file );
    QString adifTab;
    QString theData;
    QString data = "";

    data = ""; //
    while (!stream.eof()){
      data = stream.readLine();
      if(!data.isEmpty()){ // If there is another line i read it
        data = data.simplifyWhiteSpace().upper();
        QStringList fields = QStringList::split('=', data );

        adifTab = fields[0].upper();
        theData = fields[1].upper();
        if (adifTab == "CALL"){
          setupui::MyCallkLineEdit->setText(theData.upper());

        }else if (adifTab == "LOCATOR"){
          setupui::MyLocatorkLineEdit->setText(theData);

        }else if (adifTab == "DXCLUSTERSERVER"){
          
          setupui::DXClusterServerkLineEdit->setText(theData);

        }else if (adifTab == "DXCLUSTERPORT"){
          setupui::DXClusterPortkIntNumInput->setValue(theData.toInt());

        }else if (adifTab == "TIMEUTC"){

          if (theData.upper() == "TRUE"){
            setupui::UTCcheckBox->setChecked(true);
          }else if ((theData.upper() == "FALSE")){
            setupui::UTCcheckBox->setChecked(false);            
          }
          
        }else{
        };

      }

    }
    file.close();
  }else{
    // the file klogrc with preferences does not exist so we have to create it
  }

};

void Setup::writeConf(){

  QFile file("klogrc");
  QString tmp;
  tmp = "true";
  if ( file.open( IO_WriteOnly ) ) {
    QTextStream stream( &file );
    stream << "call=" << (setupui::MyCallkLineEdit->text()).upper() << endl;
    stream << "locator=" << (setupui::MyLocatorkLineEdit->text()).upper()<< endl;
    stream << "dxclusterserver=" << (setupui::DXClusterServerkLineEdit->text()).upper() << endl;
    stream << "dxclusterport=" << QString::number(setupui::DXClusterPortkIntNumInput->value()) << endl;
    if (setupui::UTCcheckBox->isChecked()){
      tmp="true";
    }else{
      tmp="false";
    };
    stream << "timeutc=" + tmp << endl;
    file.close();
  }
  
};

